summaryrefslogtreecommitdiff
path: root/tests/auxdir8.test
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2010-05-08 00:32:22 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2010-12-16 00:30:34 +0100
commit49ac3def6a658c77b113cca89925ed91700c61c9 (patch)
tree59008e7044dda879b1871736baf6fe552c4a4105 /tests/auxdir8.test
parent4abf2246375e96b8a82affdf04f079e3e9ee7c73 (diff)
downloadautomake-49ac3def6a658c77b113cca89925ed91700c61c9.tar.gz
Extended tests on AC_CONFIG_AUX_DIR.
* tests/auxdir.test: Enable `errexit' shell flag. Prefer `$me' over hard-coded test name. Use proper m4 quoting. Add trailing `:' command. * tests/auxdir2.test: Likewise. Try to call automake also with the `-a' option, so that it will not fail for spurious reasons. * tests/auxdir3.test: Add an explanatory comment and a trailing `:' command. * tests/auxdir4.test: Prefer `$me' over hard-coded test name. Make grepping of automake stderr slightly stricter. Also, now this test just checks about Automake's reaction to unportable auxiliary directory names (and it has been extended in this respect). Moved the checks about non-existent auxiliary directories to ... * tests/auxdir5.test: ... this new test. * tests/auxdir6.test: New test. * tests/auxdir7.test: Likewise. * tests/auxdir8.test: Likewise. * tests/auxdir9.test: Likewise. * tests/Makefile.am (TESTS): Updated.
Diffstat (limited to 'tests/auxdir8.test')
-rwxr-xr-xtests/auxdir8.test50
1 files changed, 50 insertions, 0 deletions
diff --git a/tests/auxdir8.test b/tests/auxdir8.test
new file mode 100755
index 000000000..7d0c1ae40
--- /dev/null
+++ b/tests/auxdir8.test
@@ -0,0 +1,50 @@
+#! /bin/sh
+# Copyright (C) 1996, 2001, 2002, 2003, 2004, 2007 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure AC_CONFIG_AUX_DIR works correctly.
+# This test tries without an explicit call to AC_CONFIG_AUX_DIR;
+# the config auxdir should be implicitly defined to `.' since
+# the install-sh, mkinstalldirs, etc., scripts are in the top-level
+# directory.
+# Keep this in sync with sister tests auxdir6.test and auxdir7.test.
+
+. ./defs || Exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_CONFIG_FILES([subdir/Makefile])
+END
+
+mkdir subdir
+
+cat > Makefile.am << 'END'
+pkgdata_DATA =
+END
+
+cp Makefile.am subdir/Makefile.am
+
+: > mkinstalldirs
+: > install-sh
+: > missing
+
+$ACLOCAL
+$AUTOMAKE
+
+$FGREP '$(top_srcdir)/mkinstalldirs' Makefile.in
+$FGREP '$(top_srcdir)/mkinstalldirs' subdir/Makefile.in
+
+: